<?php
// Template Name: products
get_header();

$terms = get_terms( array(
    'taxonomy'   => 'product_cat',
    'hide_empty' => true,
) );

// $cat_term = $_REQUEST['terms'];
// echo '<pre>';
// print_r($terms);
// die;

$args = array(
    'post_type'      => 'product',
    'post_status'    => 'publish',
    'posts_per_page' => -1,
);

$products = new WP_Query( $args );

?>


 <!-- Breadcrumb Start -->
 <section class="section-breadcrumb products-bg">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-lg-12">
                    <h1 class="breadcrumb-title">
                        <span class="border-t-60 d-inline-block text-white">products</span>
                    </h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Products</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </section>
    <!-- Breadcrumb End -->

    <!-- Products Message Start -->
    <section class="products-msg">
        <div class="container">
            <div class="row">
                <div class="col-md-10 col-lg-12">
                    <p>Our products are changing constantly based on available inventory. For the most updated product selection, reach out to us via our contact page or join our mailing list, where we will send you a weekly email or text with specials, inventory, and more!</p>
                    <p>Due to national shortages and limited inventory, we are only providing truck sales at this time. Pallets are not available for individual purchase. Please reach out to us for our currently available inventory</p>
                </div>
            </div>
        </div>
    </section>
    <!-- Products Message End -->

    <!-- Categories Menu Start -->
    <section class="section-categories-menu">
        <div class="container">
            <div class="row g-3 g-lg-0">
                <div class="col-lg-2">
                    <h2 class="categories-title">all categories:</h2>
                </div>
                <div class="col-lg-10">
                    <div class="categories-list">
                        <div class="categories-link active">
                            <a href="<?= site_url(); ?>/products">all products</a>
                            <span><?= $products->found_posts; ?></span>
                        </div>
                        <?php foreach($terms as $term){?>
                        <div class="categories-link <?php if($term->term_id == $id){echo 'active'; } ?>">
                         <a href="<?= site_url();?>/loadmore?terms=<?= $term->name?>"><?= $term->name?></a>
                            <span><?= $term->count;?></span>
                        </div>
                        <?php } ?>
 
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Categories Menu End -->

    <!-- Clothes Section Category Start -->

<?php
$args = array(
    'post_type'      => 'product',
    'posts_per_page' => 4, // Change this to the number of products you want to display
    'orderby' => 'date', 
    'order' => 'ASC',
    'tax_query'      => array(
        array(
            'taxonomy' => 'product_cat', // Taxonomy name for product categories
            'field'    => 'slug', // Can be 'term_id', 'slug', or 'name'
            'terms'    => 'CLOTHES', // Replace 'clothes' with the slug of your desired category
        ),
    ),
);

$products = new WP_Query($args);
// echo '<pre>';
// print_r($products);
// exit;
?>


    <section class="section-margin section-category">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md-12 col-lg-12">
                    <h2 class="section-category-title">clothes</h2>
                </div>
            </div>
            <div class="row gy-5 mb-5">
                <?php
                if ($products->have_posts()) {
                foreach($products->posts as $product){
                ?>
                <div class="col-md-6 col-lg-3">
                    <div class="card">
                    

                        <?php  
                         $thumbnail_url = get_the_post_thumbnail_url($product->ID, 'full'); 
                         echo '<img src="' . esc_url($thumbnail_url) . '" alt="' . get_the_title() . '" class="card-img-top" />';
                        ?>
                        <div class="card-body text-center">
                            <h3 class="card-title"><?= get_the_title($product->ID);?></h3>
                            <p class="card-text">
                            <?php 
                             // Fetch and display the product categories
                        $category_names = array();
                        $categories = get_the_terms($product->ID, 'product_cat');
                        if ($categories && !is_wp_error($categories)) {
                            foreach ($categories as $category) {
                                $category_names[] = $category->name;
                                if (!empty($category_names)) {
                                    echo   implode(', ', $category_names) ;
                                }
                          }
                          }
                            ?>
                            </p>
                <p class="card-price"><?= wc_get_product($product->ID)->get_price(); ?>$</p>
                            <a href="<?= get_template_directory_uri();?>/product_details.php/?id=<?= $product->ID ?>" class="btn btn-detail">view detail</a>
                        </div>
                    </div>
                </div>


                <?php }} else {
                echo 'No product found.';
                   }
                 ?> 
            </div>
            <div class="text-center">
        <a href="<?= site_url();?>/loadmore?terms=CLOTHES" class="btn btn-warning">see more</a>
            </div>
        </div>
    </section>
    <!-- Clothes Section Category End -->

    <!-- Hardware Section Category Start -->

<?php
$args = array(
    'post_type'      => 'product',
    'posts_per_page' => 4, // Change this to the number of products you want to display
    'orderby' => 'date', 
    'order' => 'ASC',
    'tax_query'      => array(
        array(
            'taxonomy' => 'product_cat', // Taxonomy name for product categories
            'field'    => 'slug', // Can be 'term_id', 'slug', or 'name'
            'terms'    => 'HARDWARE', // Replace 'clothes' with the slug of your desired category
        ),
    ),
);

$products = new WP_Query($args);


?>    
    <section class="section-margin section-category">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md-12 col-lg-12">
                    <h2 class="section-category-title">hardware</h2>
                </div>
            </div>
            <div class="row gy-5 mb-5">
                <?php
                if ($products->have_posts()) {
                    foreach($products->posts as $product){
                ?>
                <div class="col-md-6 col-lg-3">
                    <div class="card">
                    

                        <?php  
                         $thumbnail_url = get_the_post_thumbnail_url($product->ID, 'full'); 
                         echo '<img src="' . esc_url($thumbnail_url) . '" alt="' . get_the_title() . '" class="card-img-top" />';
                        ?>
                        <div class="card-body text-center">
                            <h3 class="card-title"><?= get_the_title($product->ID);?></h3>
                            <p class="card-text">
                            <?php 
                             // Fetch and display the product categories
                        $category_names = array();
                        $categories = get_the_terms($product->ID, 'product_cat');
                        if ($categories && !is_wp_error($categories)) {
                            foreach ($categories as $category) {
                                $category_names[] = $category->name;
                                if (!empty($category_names)) {
                                    echo   implode(', ', $category_names) ;
                                }
                          }
                          }
                            ?>
                            </p>
                <p class="card-price"><?= wc_get_product($product->ID)->get_price(); ?>$</p>
                            <a href="<?= get_template_directory_uri();?>/product_details.php/?id=<?= $product->ID ?>" class="btn btn-detail">view detail</a>
                        </div>
                    </div>
                </div>


                <?php }} else {
                echo 'No product found.';
                   }
                 ?> 
            </div>
            <div class="text-center">
        <a href="<?= site_url();?>/loadmore?terms=HARDWARE" class="btn btn-warning">see more</a>
            </div>
        </div>
    </section>
    <!-- Hardware Section Category End -->

    <!-- Electronics Section Category Start -->

    <?php
$args = array(
    'post_type'      => 'product',
    'posts_per_page' => 4, // Change this to the number of products you want to display
    'orderby' => 'date', 
    'order' => 'ASC',
    'tax_query'      => array(
        array(
            'taxonomy' => 'product_cat', // Taxonomy name for product categories
            'field'    => 'slug', // Can be 'term_id', 'slug', or 'name'
            'terms'    => 'ELECTRONICS', // Replace 'clothes' with the slug of your desired category
        ),
    ),
);

$products = new WP_Query($args);


?>    
    <section class="section-margin section-category">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md-12 col-lg-12">
                    <h2 class="section-category-title">Electronics</h2>
                </div>
            </div>
            <div class="row gy-5 mb-5">
                <?php
                if ($products->have_posts()) {
                foreach($products->posts as $product){
                      
                ?>
                <div class="col-md-6 col-lg-3">
                    <div class="card">
                        <?php  
                         $thumbnail_url = get_the_post_thumbnail_url($product->ID, 'full'); 
                         echo '<img src="' . esc_url($thumbnail_url) . '" alt="' . get_the_title() . '" class="card-img-top" />';
                        ?>
                        <div class="card-body text-center">
                            <h3 class="card-title"><?= get_the_title($product->ID);?></h3>
                            <p class="card-text">
                            <?php 
                             // Fetch and display the product categories
                        $category_names = array();
                        $categories = get_the_terms(get_the_ID(), 'product_cat');
                        if ($categories && !is_wp_error($categories)) {
                            foreach ($categories as $category) {
                                $category_names[] = $category->name;
                                if (!empty($category_names)) {
                                    echo   implode(', ', $category_names) ;
                                }
                          }
                          }
                            ?>
                            </p>
                    <p class="card-price"><?= wc_get_product($product->ID)->get_price(); ?>$</p>
                            <a href="<?= get_template_directory_uri();?>/product_details.php/?id=<?= $product->ID ?>" class="btn btn-detail">view detail</a>
                        </div>
                    </div>
                </div>


                <?php }} else {
                echo 'No product found.';
                   }
                 ?> 
            </div>
            <div class="text-center">
    <a href="<?= site_url();?>/loadmore?terms=ELECTRONICS" class="btn btn-warning">see more</a>
            </div>
        </div>
    </section>
    <!-- Electronics Section Category End -->

    <!-- Toys Section Category Start -->

<?php
$args = array(
    'post_type'      => 'product',
    'posts_per_page' => 4, // Change this to the number of products you want to display
    'orderby' => 'date', 
    'order' => 'ASC',
    'tax_query'      => array(
        array(
            'taxonomy' => 'product_cat', // Taxonomy name for product categories
            'field'    => 'slug', // Can be 'term_id', 'slug', or 'name'
            'terms'    => 'TOYS', // Replace 'clothes' with the slug of your desired category
        ),
    ),
);

$products = new WP_Query($args);


?>       
    <section class="section-margin section-category">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md-12 col-lg-12">
                    <h2 class="section-category-title">toys</h2>
                </div>
            </div>
            <div class="row gy-5 mb-5">
                <?php
               if ($products->have_posts()) {
                foreach($products->posts as $product){
                        
                ?>
                <div class="col-md-6 col-lg-3">
                    <div class="card">
                        <?php  
                         $thumbnail_url = get_the_post_thumbnail_url($product->ID, 'full'); 
                         echo '<img src="' . esc_url($thumbnail_url) . '" alt="' . get_the_title() . '" class="card-img-top" />';
                        ?>
                        <div class="card-body text-center">
                            <h3 class="card-title"><?= get_the_title($product->ID);?></h3>
                            <p class="card-text">
                            <?php 
                             // Fetch and display the product categories
                        $category_names = array();
                        $categories = get_the_terms($product->ID, 'product_cat');
                        if ($categories && !is_wp_error($categories)) {
                            foreach ($categories as $category) {
                                $category_names[] = $category->name;
                                if (!empty($category_names)) {
                                    echo   implode(', ', $category_names) ;
                                }
                          }
                          }
                            ?>
                            </p>
        <p class="card-price"><?= wc_get_product($product->ID)->get_price(); ?>$</p>
                            <a href="<?= get_template_directory_uri();?>/product_details.php/?id=<?= $product->ID ?>" class="btn btn-detail">view detail</a>
                        </div>
                    </div>
                </div>


                <?php }} else {
                echo 'No product found.';
                   }
                 ?> 
            </div>
            <div class="text-center">
    <a href="<?= site_url();?>/loadmore?terms=TOYS" class="btn btn-warning">see more</a>
            </div>
        </div>
    </section>
    <!-- Toys Section Category End -->

    <!-- Shoes Section Category Start -->
<?php
$args = array(
    'post_type'      => 'product',
    'posts_per_page' => 4, // Change this to the number of products you want to display
    'orderby' => 'date', 
    'order' => 'ASC',
    'tax_query'      => array(
        array(
            'taxonomy' => 'product_cat', // Taxonomy name for product categories
            'field'    => 'slug', // Can be 'term_id', 'slug', or 'name'
            'terms'    => '	SHOES', // Replace 'clothes' with the slug of your desired category
        ),
    ),
);

$products = new WP_Query($args);


?>      
    <section class="section-margin section-category">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md-12 col-lg-12">
                    <h2 class="section-category-title">shoes</h2>
                </div>
            </div>
            <div class="row gy-5 mb-5">
                <?php
                 if ($products->have_posts()) {
                    foreach($products->posts as $product){
                        // $products->the_post();
                        // global $product;
                ?>
                <div class="col-md-6 col-lg-3">
                    <div class="card">
                        <?php  
                         $thumbnail_url = get_the_post_thumbnail_url($product->ID, 'full'); 
                         echo '<img src="' . esc_url($thumbnail_url) . '" alt="' . get_the_title() . '" class="card-img-top" />';
                        ?>
                        <div class="card-body text-center">
                            <h3 class="card-title"><?= get_the_title($product->ID);?></h3>
                            <p class="card-text">
                            <?php 
                             // Fetch and display the product categories
                        $category_names = array();
                        $categories = get_the_terms($product->ID, 'product_cat');
                        if ($categories && !is_wp_error($categories)) {
                            foreach ($categories as $category) {
                                $category_names[] = $category->name;
                                if (!empty($category_names)) {
                                    echo   implode(', ', $category_names) ;
                                }
                          }
                          }
                            ?>
                            </p>
                            
                            

                      <p class="card-price"><?= wc_get_product($product->ID)->get_price(); ?>$</p>
                            <a href="<?= get_template_directory_uri();?>/product_details.php/?id=<?= $product->ID ?>" class="btn btn-detail">view detail</a>
                        </div>
                    </div>
                </div>


                <?php }} else {
                echo 'No product found.';
                   }
                 ?> 
            </div>
   
            <div class="text-center">
    <a href="<?= site_url();?>/loadmore?terms=SHOES" class="btn btn-warning">see more</a>
            </div>
        </div>
    </section>
    <!-- Shoes Section Category End -->

    <!-- Truckloads Section Category Start -->
<?php
$args = array(
    'post_type'      => 'product',
    'posts_per_page' => 4, // Change this to the number of products you want to display
    'orderby' => 'date', 
    'order' => 'ASC',
    'tax_query'      => array(
        array(
            'taxonomy' => 'product_cat', // Taxonomy name for product categories
            'field'    => 'slug', // Can be 'term_id', 'slug', or 'name'
            'terms'    => 'TRUCK LOADS', // Replace 'clothes' with the slug of your desired category
        ),
    ),
);

$products = new WP_Query($args);
// echo '<pre>';
// print_r($products);
// exit;

?>      
    <section class="section-margin section-category">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md-12 col-lg-12">
                    <h2 class="section-category-title">truckloads</h2>
                </div>
            </div>
            <div class="row gy-5 mb-5">
                <?php
                if ($products->have_posts()) {
                    foreach($products->posts as $product){
                        
                ?>
                <div class="col-md-6 col-lg-3">
                    <div class="card">
                        <?php  
                         $thumbnail_url = get_the_post_thumbnail_url($product->ID, 'full'); 
                         echo '<img src="' . esc_url($thumbnail_url) . '" alt="' . get_the_title() . '" class="card-img-top" />';
                        ?>
                        <div class="card-body text-center">
                            <h3 class="card-title"><?= get_the_title($product->ID);?></h3>
                            <p class="card-text">
                                <?php
                                // Fetch and display the product categories
                                $category_names = array();
                                $categories = get_the_terms($product->ID, 'product_cat');
                                if ($categories && !is_wp_error($categories)) {
                                    foreach ($categories as $category) {
                                        $category_names[] = $category->name;
                                    }
                                    if (!empty($category_names)) {
                                        echo implode(', ', $category_names);
                                    }
                                }
                                ?>
                            </p>

                            <p class="card-price"><?= wc_get_product($product->ID)->get_price(); ?>$</p>
                             
                            <a href="<?= get_template_directory_uri();?>/product_details.php/?id=<?= $product->ID ?>" class="btn btn-detail">view detail</a>
                        </div>
                    </div>
                </div>


                <?php }} else {
                echo 'No product found.';
                   }
                 ?> 
            </div>
            <div class="text-center">
    <a href="<?= site_url();?>/loadmore?terms=TRUCK LOADS" class="btn btn-warning">see more</a>
            </div>
        </div>
    </section>
    <!-- Truckloads Section Category End -->


<?php  
get_footer();
?>