<?php
// Template Name: resources
get_header();

?>

<!-- Breadcrumb Start -->
 <section class="section-breadcrumb resources-bg">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-lg-12">
                    <h1 class="breadcrumb-title">
                        <span class="border-t-60 d-inline-block text-white">resources</span>
                    </h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Resources</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </section>
    <!-- Breadcrumb End -->

<?php
   $args = array(  
    'post_type' => 'condition',
    'post_status' => 'publish',
    'posts_per_page' => 4, 
    'orderby' => 'date', 
    'order' => 'ASC', 
);
$condition = new WP_Query($args);

?>




    <!-- Conditions Start -->
    <section class="section-margin conditions">
        <div class="container">
            <div class="row mb-5">
                <div class="col-md-12 col-lg-12 text-center">
                    <h2 class="conditions-title">Conditions of <span class="text-primary">Purchase</span></h2>
                </div>
            </div>
            <div class="row g-5">
            <?php
            if ($condition->have_posts()) {
                while ($condition->have_posts()) {
                    $condition->the_post();
            ?>

                <div class="col-md-12 col-lg-12">
                    <h3 class="conditions-subtitle"><?= the_title();?></h3>
                    <p class="conditions-text"><?= get_the_content();?></p>
                </div>
                
                <?php }} else {
                // No custom posts found
                echo 'No custom posts found.';
                   }
                 ?>  
            </div>
        </div>
    </section>
    <!-- Conditions End -->

    <!-- Map Start -->
    <section>
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12 col-lg-12 px-0">
                    <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d387191.33750346623!2d-73.97968099999999!3d40.6974881!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89c24fa5d33f083b%3A0xc80b8f06e177fe62!2sNew%20York%2C%20NY%2C%20USA!5e0!3m2!1sen!2s!4v1687856138105!5m2!1sen!2s" width="100%" height="400" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                </div>
            </div>
        </div>
    </section>
    <!-- Map End -->

    <!-- Downloadable Forms Start -->
    <section class="section-margin section-forms">
        <div class="container">
            <div class="text-center">
                <h2 class="form-title">Download Our <span>Business &amp; Tax Forms</span></h2>
            </div>
            <div class="row border shadow">
                <div class="col-md-6 col-lg-6 border-bottom border-md-end">
                    <div class="padding-box">
                        <div class="text-center">
                            <h3 class="form-subtitles">business forms</h3>
                        </div>
                        <ul class="ps-0 mb-0">
                            <li class="mb-4"><a href="#" class="form-link">Balance Sheet</a></li>
                            <li class="mb-4"><a href="#" class="form-link">Business Loan Application</a></li>
                            <li class="mb-4"><a href="#" class="form-link">Checklist for Starting a New Business</a></li>
                            <li class="mb-4"><a href="#" class="form-link">Daily Cash Report</a></li>
                            <li class="mb-4"><a href="#" class="form-link">Employment Application</a></li>
                            <li class="mb-4"><a href="#" class="form-link">Statement of income</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-6 col-lg-6">
                    <div class="padding-box">
                        <div class="text-center">
                            <h3 class="form-subtitles">tax forms</h3>
                        </div>
                        <ul class="ps-0 mb-0">
                            <li class="mb-4"><a href="#" class="form-link">CA 540EZ &dash; CA Short Form Income Tax Form</a></li>
                            <li class="mb-4"><a href="#" class="form-link">CA 540EZ &dash; CA Short Form Income Tax Form</a></li>
                            <li class="mb-4"><a href="#" class="form-link">CA 540EZ &dash; CA Short Form Income Tax Form</a></li>
                            <li class="mb-4"><a href="#" class="form-link">CA 540EZ &dash; CA Short Form Income Tax Form</a></li>
                            <li class="mb-4"><a href="#" class="form-link">CA 540EZ &dash; CA Short Form Income Tax Form</a></li>
                            <li class="mb-4"><a href="#" class="form-link">IRS Form SS-4 &dash; Application for Employer ID Number</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Downloadable Forms End -->

<?php
   $args = array(  
    'post_type' => 'stores',
    'post_status' => 'publish',
    'posts_per_page' => 3, 
    'orderby' => 'date', 
    'order' => 'ASC', 
);
$stores = new WP_Query($args);

?>



    <!-- Stores Start -->
    <section class="my-5 section-stores">
        <div class="container">
            <div class="row g-5">
            <?php
            if ($stores->have_posts()) {
                // while ($stores->have_posts()) {
                //     $stores->the_post();

                foreach($stores->posts as $stor){
                    $thumbnail_url = get_the_post_thumbnail_url($stor->ID, 'full'); 
                  $title = $stor->post_title;
                $pieces = explode(" ", $title);
            ?>
                <div class="col-md-4 col-lg-4 d-flex">
                    <div class="card">
                        <div class="card-body">
                            <!-- <img src="<?= get_template_directory_uri();?>/assets/images/stores-discount.png" alt="stores images" class="store-pic"> -->
                         
                            <img src="<?= $thumbnail_url;?>" alt="services icon" class="store-pic">
                            <h2 class="card-title"><?= $pieces[0];?> <span><?= $pieces[1];?>        
                    </span></h2>
                        </div>
                    </div>
                </div>
               
                <?php }} else {
                // No custom posts found
                echo 'No custom posts found.';
                   }
                 ?>  
                
            </div>
        </div>
    </section>
    <!-- Stores End -->

    <!-- Resources CTA Start -->
    <section class="section-block section-cta">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8 mx-auto text-center">
                    <h2 class="cta-title">King’s Liquidation is here to Help!</h2>
                    <p class="cta-desc">For any and all questions such as required forms, products, shipping, or payment please contact us anytime.</p>
                    <a href="contact_us.html" class="btn btn-contact">contact us</a>
                </div>
            </div>
        </div>
    </section>
    <!-- Resources CTA End -->

    <?php
    get_footer();
    ?>