<?php
//  Template Name: shipping Page
 get_header();
 
 ?>
 
 <!-- Breadcrumb Start -->
 <section class="section-breadcrumb shipping-bg">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-lg-12">
                    <h1 class="breadcrumb-title">
                        <span class="border-t-60 d-inline-block text-white">shipping</span>
                    </h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Shipping</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </section>
    <!-- Breadcrumb End -->

    <!-- Order Table Start -->
    <section class="section-margin section-shipping-info">
        <div class="container">
            <div class="row mb-5">
                <div class="col-12">
                    <div class="text-center">
                        <h2 class="shipping-info-title">shipping <span class="text-primary">information</span></h2>
                    </div>
                </div>
            </div>

<!-- united states -->
<?php

$united_states = array(

    'post_type' => 'united_states',

    'post_status' => 'publish',

    'posts_per_page' => -1,

    'orderby' => 'date',

    'order' => 'ASC',

);

$united_state = new WP_Query($united_states);

?>  
<!-- international -->
<?php

$args = array(

    'post_type' => 'international',

    'post_status' => 'publish',

    'posts_per_page' => -1,

    'orderby' => 'date',

    'order' => 'ASC',

);

$international = new WP_Query($args);

?>            

            <div class="row">
                <div class="col-md-12 col-lg-12 mb-5">
                <?php if ($united_state->have_posts()) : ?>

                <?php foreach ($united_state->posts as $key => $united) :

                  $united_state_meta = get_post_meta($united->ID);

                   $total =  count($united_state_meta['description']);

                    ?>
                    <h3 class="shipping-subtitle"><?= $united->post_title; ?></h3>
                    <ul class="mb-0">
                    <?php for ($i = 0; $i < $total; $i++) : ?>
                        <li class="section-shipping-item"><?php if (isset($united_state_meta['description'][0])) {
                      echo $united_state_meta['description'][$i];
                    } ?></li>
                        <?php endfor; ?>  
                    </ul>
                    <?php endforeach;
                               endif; ?>
                </div>
                <div class="col-md-12 col-lg-12">
                     
                <?php if ($international->have_posts()) : ?>

                <?php foreach ($international->posts as $key => $inter) :

                $international_meta = get_post_meta($inter->ID);

                $total =  count($international_meta['description']);

                 ?>     
                    <h3 class="shipping-subtitle"><?= $inter->post_title; ?></h3>
                    <ul class="mb-0">
                    <?php for ($i = 0; $i < $total; $i++) : ?>

                        <li class="section-shipping-item"><?php if (isset($international_meta['description'][0])) {
                      echo $international_meta['description'][$i];
                    } ?></li>
                        <?php endfor; ?>  

                    </ul>
                    <?php endforeach;
                               endif; ?>
                </div>
            </div>
        </div>
    </section>
    <!-- Order Table End -->

    <!-- Shipping CTA Start -->
    <section class="section-block section-shipping-cta">
        <div class="container">
            <div class="row align-items-center g-4">
                <div class="col-md-6 col-lg-8 text-center text-md-start">
                    <h2 class="cta-title">We Are Always In Here,<br><span class="text-primary">Need Help?</span></h2>
                    <p class="cta-desc">Contact us anytime for information on products, shipping, and services.</p>
                </div>
                <div class="col-md-6 col-lg-4 text-center text-md-end">
                    <a href="contact_us.html" class="btn btn-cta">contact us</a>
                </div>
            </div>
        </div>
    </section>
    <!-- Shipping CTA End -->
<?php
   $args = array(  
    'post_type' => 'shipping',
    'post_status' => 'publish',
    'posts_per_page' => 3, 
    'orderby' => 'title', 
    'order' => 'ASC', 
);
$shipping = new WP_Query($args);

?>
    <!-- Shipping Services Start -->
    <section class="section-block section-shipping-services">
        <div class="container">
            <div class="text-center">
                <h2 class="services-title">Shipping to &amp; from <span class="text-primary">Anywhere</span></h2>
            </div>
            <div class="row g-5">
            <?php
            if ($shipping->have_posts()) {
                while ($shipping->have_posts()) {
                    $shipping->the_post();
            ?>
               
                <div class="col-md-4 col-lg-4 d-flex">
                    <div class="card">
                        <?php  
                         $thumbnail_url = get_the_post_thumbnail_url(get_the_ID(), 'full'); 
                         echo '<img src="' . esc_url($thumbnail_url) . '" alt="' . get_the_title() . '" class="card-img-top" />';
                        ?>
                        <!-- <img src="<?= get_template_directory_uri();?>/assets/images/shipping-service-1.png" alt="service image" class="card-img-top"> -->
                        <div class="card-body">
                            <h3 class="card-title"><?= the_title();?></h3>
                            <p class="card-text"><?= get_the_content(); ?></p>
                        </div>
                        <div class="card-footer">
                            <a href="#" class="card-link">read more</a>
                        </div>
                    </div>
                </div>

                <?php }} else {
                // No custom posts found
                echo 'No custom posts found.';
                   }
                 ?>  
                
            </div>
        </div>
    </section>
    <!-- Shipping Services End -->

    <?php
    get_footer();
    ?>