<?php
// Template Name: loadmore

get_header();

$terms = get_terms( array(
    'taxonomy'   => 'product_cat',
    'hide_empty' => true,
) );


$args = array(
    'post_type'      => 'product',
    'post_status'    => 'publish',
    'posts_per_page' => -1,
);

$product_count = new WP_Query( $args );

$fetch_category = $_REQUEST['terms'];

$args = array(
    'post_type'      => 'product',
    'posts_per_page' => 4, // Change this to the number of products you want to display
    // 'orderby' => 'date', 
    // 'order' => 'ASC',
    
    'orderby'        => 'date',
    'order'          => 'DESC',

    'tax_query'      => array(
        array(
            'taxonomy' => 'product_cat', // Taxonomy name for product categories
            'field'    => 'slug', // Can be 'term_id', 'slug', or 'name'
            'terms'    => $fetch_category, // Replace 'clothes' with the slug of your desired category
        ),
    ),
);

$products = new WP_Query($args);

?>


 <!-- Breadcrumb Start -->
 <section class="section-breadcrumb clothes-bg">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-lg-12">
                    <h1 class="breadcrumb-title">
                        <span class="border-t-60 d-inline-block text-white">products</span>
                    </h1>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="<?= site_url(); ?>">Home</a></li>
                            <li class="breadcrumb-item"><a href="<?= site_url(); ?>/products">Products</a></li>
                            <?php foreach($terms as $term){ 
                                if($term->name == $fetch_category ){
                                ?>
                            <li class="breadcrumb-item active" aria-current="page"><?= $term->name; ?></li>
                            <?php } }?>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </section>
    <!-- Breadcrumb End -->

    <!-- Products Message Start -->
    <section class="products-msg">
        <div class="container">
            <div class="row">
                <div class="col-md-10 col-lg-12">
                    <p>Our products are changing constantly based on available inventory. For the most updated product selection, reach out to us via our contact page or join our mailing list, where we will send you a weekly email or text with specials, inventory, and more!</p>
                    <p>Due to national shortages and limited inventory, we are only providing truck sales at this time. Pallets are not available for individual purchase. Please reach out to us for our currently available inventory</p>
                </div>
            </div>
        </div>
    </section>
    <!-- Products Message End -->

    <!-- Categories Menu Start -->
    <section class="section-categories-menu">
        <div class="container">
            <div class="row g-3 g-lg-0">
                <div class="col-lg-2">
                    <h2 class="categories-title">all categories:</h2>
                </div>
                <div class="col-lg-10">
                    <div class="categories-list">
                        <div class="categories-link">
                            <a href="<?= site_url(); ?>/products">all products</a>
                            <span><?= $product_count->found_posts; ?></span>
                        </div>
                        <?php foreach($terms as $term){ ?>
                        <div class="categories-link <?php if($term->name == $fetch_category){echo 'active'; } ?>">
                        <a href="<?= site_url();?>/loadmore?terms=<?= $term->name?>"><?= $term->name?></a>
                            <span><?= $term->count;?></span>
                        </div>
                        <?php } ?>
                        
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Categories Menu End -->










<section class="section-margin section-category">
        <div class="container" >
            <div class="row mb-5">
                <div class="col-md-12 col-lg-12" >
                    <h2 class="section-category-title">
                   <?php  
                   echo $fetch_category;?>
                    </h2>
                </div>
            </div>
            <div class="row gy-5 mb-5 load-pro" >
            <?php
                if ($products->have_posts()) {
                    foreach($products->posts as $product){
                ?>
                <div class="col-md-6 col-lg-3">
                    <div class="card post-container" >
                    <?php  
                         $thumbnail_url = get_the_post_thumbnail_url($product->ID, 'full'); 
                         echo '<img src="' . esc_url($thumbnail_url) . '" alt="' . get_the_title() . '" class="card-img-top" />';
                        ?>
                        
                        <div class="card-body text-center">
                            <h3 class="card-title"><?= get_the_title($product->ID);?></h3>
                            <p class="card-text">
                            <?php 
                             // Fetch and display the product categories
                        $category_names = array();
                        $categories = get_the_terms($product->ID, 'product_cat');
                        if ($categories && !is_wp_error($categories)) {
                            foreach ($categories as $category) {
                                $category_names[] = $category->name;
                                if (!empty($category_names)) {
                                    echo   implode(', ', $category_names) ;
                                }
                          }
                          }
                            ?>
                            </p>

                <p class="card-price"><?= wc_get_product($product->ID)->get_price(); ?>$</p>
                      
           
                            <a href="<?= get_template_directory_uri();?>/product_details.php/?id=<?= $product->ID ?>" class="btn btn-detail">view detail</a>
                        </div>
                    </div>
                </div>
                <?php } } ?>
            </div>
            <div class="text-center">
                <button id="load-more-button" class="btn btn-warning">See More</button>
            </div>
        </div>
    </section>
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script> -->
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script>
    var offset = 1;
    jQuery('#load-more-button').on('click',function(e){
        e.preventDefault();
        var category =  "<?php echo "$fetch_category"?>";
        var postsPerPage = 4; // Change this to the number of posts you want to load per click
         offset++; // Start offset after the initial posts
        $.ajax({
                url: '<?= get_template_directory_uri(); ?>/load-more.php',
                type: 'post',
                data: {
                    // action: 'custom_load_more_posts',
                    offset: offset,
                    posts_per_page: postsPerPage,
                    category: category
                },
                success: function (response) {
                    if (response != 'false') {
                        $('.load-pro').append(response);
                    }else{
                        swal.fire("Sorry!", "No More Products Available", "error");
                            $('#load-more-button').hide();
                    }
                },
                error: function () {
                    $('#load-more-button').hide();
                },
            });
    });
</script>

<?php
get_footer();
?>